# $Revision: 1.13 $, $Date: 2009/10/06 16:22:34 $
Summary:	CPU maximum load (heat) stability test
Summary(pl.UTF-8):	Testy stabilności przy maksymalnym obciążeniu procesora
Name:		cpuburn
Version:	1.4
Release:	4
License:	GPL v2
Group:		Applications
Source0:	http://pages.sbcglobal.net/redelm/%{name}_1_4_tar.gz
# Source0-md5:	f9bb5ff68afb6ccfca11718c90bcab68
Patch0:		%{name}-makefile.patch
URL:		http://pages.sbcglobal.net/redelm/
ExclusiveArch:	i486 i586 i686 athlon %{x8664}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		specflags_x86_64	-m32

%description
cpuburn is a suite of assembly-coded routines designed to put maximum
heat stress on the CPU and motherboard components by a
P6/P5/K6/K7-optimized mix of FPU and ALU instructions. There are also
routines to test RAM controllers (burnMMX/BX). Please note that this
program is designed to heavily load chips. Undercooled, overclocked,
or otherwise weak systems may fail, causing data loss (filesystem
corruption) and possibly permanent damage to electronic components.
Use it at your own risk!!

%description -l pl.UTF-8
cpuburn jest zestawem napisanych w asemblerze zadań stworzonych, aby
stworzyć największe możliwe obciążenie cieplne dla procesora oraz
komponentów płyty głównej, poprzez mieszankę instrukcji FPU i ALU
zoptymalizowanych pod P6/P5/K6/K7. Są także zadania do testowania
kontrolerów pamięci RAM (burnMMX/BX). Proszę mieć na uwadze, że
program został stworzony, aby bardzo mocno obciążać kości. Słabo
chłodzone, przetaktowane lub w inny sposób słabe systemy mogą nie
przeżyć testów, powodując straty danych (popsuty system plików), a
także trwałe uszkodzenia sprzętu. Używasz na własne ryzyko!!

%prep
%setup  -q
%patch0 -p1

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sbindir}

install burn{BX,K6,K7,MMX,P5,P6} $RPM_BUILD_ROOT%{_sbindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Design README
%attr(754,root,root) %{_sbindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: cpuburn.spec,v $
Revision 1.13  2009/10/06 16:22:34  arekm
- rel 4; build on x86_64, too

Revision 1.12  2007/05/30 19:53:35  areq
- ExclusiveArch i486

Revision 1.11  2007/02/12 21:23:51  glen
- tabs in preamble

Revision 1.10  2007/02/12 00:48:43  baggins
- converted to UTF-8

Revision 1.9  2006/08/27 21:38:33  darekr
- pass CFLAGS

Revision 1.8  2005/01/24 13:32:02  saq
- updated urls

Revision 1.7  2004/08/30 18:07:24  snurf
- typo / formatting / etc.

Revision 1.6  2003/12/06 16:01:52  undefine
- release 3 to rebuild with ac

Revision 1.5  2003/08/06 16:50:30  kloczek
- może wrescie ktoś wykasuje to konto ?

Revision 1.4  2003/05/26 16:24:50  malekith
- massive attack: adding Source-md5

Revision 1.3  2003/05/25 05:46:26  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2002/08/18 21:38:22  blues
- Release 2 - license is GPL v2, STBR

Revision 1.1  2002/07/22 14:17:19  blues
- initial release - try to burn your CPU :)

